<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package petitspapiers2017
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="wrapper">
			
			<nav class="site-navigation footer-navigation">
				<?php wp_nav_menu( array( 'theme_location' => 'menu-2', 'menu_id' => 'footer-menu' ) ); ?>
			</nav>

			<?php $description = get_bloginfo( 'description', 'display' );
			if ( $description || is_customize_preview() ) : ?>
				<p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
			<?php endif; ?>

			<!--<div class="site-info">
				<a href="<?php //echo esc_url( __( 'https://wordpress.org/', 'petitspapiers2017' ) ); ?>"><?php //printf( esc_html__( 'Proudly powered by %s', 'petitspapiers2017' ), 'WordPress' ); ?></a>
				<span class="sep"> | </span>
				<?php //printf( esc_html__( 'Theme: %1$s by %2$s.', 'petitspapiers2017' ), 'petitspapiers2017', '<a href="https://automattic.com/" rel="designer">Underscores.me</a>' ); ?>
			</div>--><!-- .site-info -->

		</div><!--.wrapper-->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
