$(document).ready(function() {
	//'use strict';

	// ===== Donner une taille au conteneur pour le centrage vertical:

	
	function menuHeaderContainerHeight() {

		var parentHeight = $('#primary-menu').height();
		var childrenHeight = 0;
		$('#primary-menu').find( ".sub-menu" ).filter(':visible').each(function( index ) {
			
			childrenHeight += $(this).height();
			
		});

		parentHeight += childrenHeight;
		$('.main-navigation').css('height', parentHeight + 'px');
	}

	function menuFooterContainerHeight() {

		var parentHeight = $('.menu-footer-container').height();
		var childrenHeight = 0;
		$('.menu-footer-container').find( ".sub-menu" ).filter(':visible').each(function( index ) {
			
			childrenHeight += $(this).height();
			
		});

		parentHeight += childrenHeight;
		$('.footer-navigation').css('height', parentHeight + 'px');
	}

	// Execute on load
	menuHeaderContainerHeight();
	menuFooterContainerHeight();

	// Bind event listener
	$(window).resize(menuHeaderContainerHeight);
	$(window).resize(menuFooterContainerHeight);





	// ===== Décalage des sous-menus:

	function subMenuOffset() {

		//Boucler sur chaque élément individuellement pour les mesurer et appliquer le bon décalage:

		$( ".sub-menu" ).each(function( index ) {
			var hauteur = $(this).height();
			$(this).css({'bottom':'calc(-'+hauteur+'px - .5rem)'});
		});
	}

	// Execute on load
	subMenuOffset();

	// Bind event listener
	$(window).resize(subMenuOffset);

});